Bug 730637 - SELinux is preventing /usr/bin/gnome-keyring-daemon from 'getattr' accesses on the système de fichiers /.
Summary: SELinux is preventing /usr/bin/gnome-keyring-daemon from 'getattr' accesses o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:7be730b7f46...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 07:49 UTC by Nicolas Chauvet (kwizart)
Modified: 2011-10-06 00:02 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.9.16-39.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 00:02:45 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2011-08-15 07:49:44 UTC
SELinux is preventing /usr/bin/gnome-keyring-daemon from 'getattr' accesses on the système de fichiers /.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gnome-keyring-daemon should be allowed getattr access on the  filesystem by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gnome-keyring-d /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                xguest_u:xguest_r:xguest_gkeyringd_t:s0
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                / [ filesystem ]
Source                        gnome-keyring-d
Source Path                   /usr/bin/gnome-keyring-daemon
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           gnome-keyring-3.0.3-1.fc15
Target RPM Packages           filesystem-2.4.41-1.fc15
Policy RPM                    selinux-policy-3.9.16-35.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40-4.fc15.i686.PAE #1 SMP
                              Fri Jul 29 18:47:58 UTC 2011 i686 i686
Alert Count                   9
First Seen                    sam. 30 juil. 2011 15:25:51 CEST
Last Seen                     lun. 15 août 2011 09:29:20 CEST
Local ID                      6dc9f92f-dac6-44b3-836b-ba585daf8d4c

Raw Audit Messages
type=AVC msg=audit(1313393360.99:88): avc:  denied  { getattr } for  pid=2138 comm="gnome-keyring-d" name="/" dev=tmpfs ino=30364 scontext=xguest_u:xguest_r:xguest_gkeyringd_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=filesystem


type=SYSCALL msg=audit(1313393360.99:88): arch=i386 syscall=statfs success=no exit=EACCES a0=92dbe90 a1=bfcba760 a2=d8612c a3=0 items=0 ppid=1 pid=2138 auid=501 uid=501 gid=501 euid=501 suid=501 fsuid=501 egid=501 sgid=501 fsgid=501 tty=(none) ses=3 comm=gnome-keyring-d exe=/usr/bin/gnome-keyring-daemon subj=xguest_u:xguest_r:xguest_gkeyringd_t:s0 key=(null)

Hash: gnome-keyring-d,xguest_gkeyringd_t,tmpfs_t,filesystem,getattr

audit2allow

#============= xguest_gkeyringd_t ==============
allow xguest_gkeyringd_t tmpfs_t:filesystem getattr;

audit2allow -R

#============= xguest_gkeyringd_t ==============
allow xguest_gkeyringd_t tmpfs_t:filesystem getattr;

Comment 1 Daniel Walsh 2011-08-15 10:59:26 UTC
Miroslav add

fs_getattr_tmpfs(gkeyringd_domain)

Comment 2 Miroslav Grepl 2011-08-22 06:19:41 UTC
Fixed in selinux-policy-3.9.16-39.fc15

Comment 3 Fedora Update System 2011-09-08 08:12:20 UTC
selinux-policy-3.9.16-39.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-39.fc15

Comment 4 Fedora Update System 2011-09-09 05:28:27 UTC
Package selinux-policy-3.9.16-39.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-39.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-39.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-06 00:02:45 UTC
selinux-policy-3.9.16-39.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.